Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.eside.flingbox.scene
Class StaticScene

    java.lang.Object
      edu.eside.flingbox.scene.StaticScene

All Implemented Interfaces:
  SceneGestureDetector.OnInputListener

Direct Known Subclasses:
  DrawableScene

    public class StaticScene

extends java.lang.Object
implements SceneGestureDetector.OnInputListener

Constructor Summary
`StaticScene(Context c)`

Method Summary
`void` | `add(Body body)`
`void` | `clearScene()`
`Renderer` | `getSceneRenderer()`
`boolean` | `onDown(MotionEvent e)`
`boolean` | `onFling(MotionEvent e1, MotionEvent e2, float velocityX, float velocityY)`
`void` | `onLongPress(MotionEvent e)`
`boolean` | `onScroll(MotionEvent downEv, MotionEvent ev, float distanceX, float distanceY)`
`void` | `onShowPress(MotionEvent e)`
`boolean` | `onSingleTapUp(MotionEvent e)`
`boolean` | `onTouchEvent(MotionEvent ev)`
`boolean` | `onTrackballEvent(MotionEvent ev)`
`boolean` | `onUp(MotionEvent ev)` Called when user stops scrolling
`boolean` | `onZoom(float x, float y, float scale)` Called when multitouch zoom occurs.
`boolean` | `remove(Body body)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticScene

    public StaticScene(Context c)

Method Detail

### add

    public void add(Body body)

### remove

    public boolean remove(Body body)

### clearScene

    public void clearScene()

### getSceneRenderer

    public Renderer getSceneRenderer()

### onTouchEvent

    public boolean onTouchEvent(MotionEvent ev)

### onTrackballEvent

    public boolean onTrackballEvent(MotionEvent ev)

### onZoom

    public boolean onZoom(float x,
                          float y,
                          float scale)

  Called when multitouch zoom occurs. Also corrects to fit camera to scene.

### onScroll

    public boolean onScroll(MotionEvent downEv,
                            MotionEvent ev,
                            float distanceX,
                            float distanceY)

### onUp

    public boolean onUp(MotionEvent ev)

  Description copied from interface: `SceneGestureDetector.OnInputListener`
  Called when user stops scrolling

  Specified by:
    `onUp` in interface `SceneGestureDetector.OnInputListener`
  Returns:

### onDown

    public boolean onDown(MotionEvent e)

### onFling

    public boolean onFling(MotionEvent e1,
                           MotionEvent e2,
                           float velocityX,
                           float velocityY)

### onLongPress

    public void onLongPress(MotionEvent e)

### onShowPress

    public void onShowPress(MotionEvent e)

### onSingleTapUp

    public boolean onSingleTapUp(MotionEvent e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD